<?php
include "../ver_sessao.php";
include "../conecta.php";


function layout_relatorio(){
	
	if( $_POST[setor] != '' ){
		$extra .= " AND seto_nb_id = '$_POST[setor]'";
		$a_setor=carregar('setor',$_POST[setor]);
	}
	
	if( $_POST[nome] != '' ){
		$extra .= " AND enti_nb_id = '$_POST[nome]'";
		$a_enti=carregar('entidade',$_POST[nome]);
	}
	if( $_POST[data1] != '' )
		$extra .= " AND movi_tx_data >= '".gera_data($_POST[data1],1)."'";
	
	if( $_POST[data2] != '' )
		$extra .= " AND movi_tx_data <= '".gera_data($_POST[data2],1)."'";

	
	cabecaRelatorio('Relatório de Compras Fornecedor');
	
	cactux::abre_form();
	
	$t[]=cactux::texto('Data Início',($_POST[data1]),1);
	$t[]=cactux::texto('Data Fim',($_POST[data2]),1);
	$t[]=cactux::texto('Fornecedor:',($a_enti[enti_tx_nome]),3);
	$t[]=cactux::texto('Setor:',($a_setor[seto_tx_nome]));
	
	cactux::abre_fieldset('Opções de Busca');
	cactux::linha_fieldset($t[0],$t[1],$t[2],$t[3]);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	echo"<br>";
	
	$sql=selecionar('compra,movimento,setor,entidade.user','movi_tx_status,comp_tx_status',"ativo,Finalizado"," AND user_nb_id=comp_nb_userCadastro $extra GROUP BY comp_nb_entidade ",0);
	while($a2=carrega_array($sql)){
		
		$sql_comp=selecionar('compra,movimento,setor,entidade.user','movi_tx_status,comp_tx_status',"ativo,Finalizado","  AND user_nb_id=comp_nb_userCadastro  AND comp_nb_entidade='$a2[enti_nb_id]' $extra ORDER BY comp_tx_dataCadastro",0);
		while($a=carrega_array($sql_comp)){
			//echo"<hr>";
			//$sql_itens=selecionar('listacompra','list_tx_status',"ativo"," AND list_nb_compra=$a[comp_nb_id]");
			//$itens+=num_linhas($sql_itens);
			
			$soma+=$a[movi_tx_valordoc];
			$total+=$a[movi_tx_valordoc];
			
		
		}

		$valores[]=array(++$j,$a2[enti_tx_nome],$a2[user_tx_nome],$a2[seto_tx_nome],mostra_valor($soma,1));
		$soma=0;
		$itens=0;
	}
	
	$valores[]=array('','','','<b>TOTAL:</b>',mostra_valor($total,1));
	
	$cabeca[]=array('','FORNECEDOR','COMPRADOR','SETOR','VALOR TOTAL');
	$cabeca[]='c,e,e,e,e,e,e';
	$cabeca[]='5%,,20%,10%,10%';
	$cabeca[]='98%';
	
	grid::gerar($cabeca,$valores);
	
	

}



function index(){

	
	cabecalho('Relatório de Compras Fornecedor',2);
	
	cactux::abre_form('blank');
	

	$c[]=cactux::campo('Data Início:','data1','',2, MASCARA_DATA);
	$c[]=cactux::campo('Data Fim:','data2','',2, MASCARA_DATA);
	$c[] = cactux::combo_net('!Fornecedor:','nome',$_POST[busca_nome],$_POST[nome_busca_nome],3,array('compra/busca_div.php?c=entidade','compra/busca_net.php?c=entidade'));
	$c[]=cactux::combo_bd('!Setor:','setor','','',2,'setor',2);
	
	
	$imprimir=cactux::botao_submit('Gerar Relatório',2,'layout_relatorio');
	
	
	
	cactux::abre_fieldset('Opçoes de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::linha_fieldset($imprimir);
	cactux::fecha_fieldset();

	cactux::fecha_form();

}


CONTROLE();
?>
